#include "MySCAPIWindow.h"

// Contructor - Destructor

MySCAPIWindow::MySCAPIWindow(	SCAPIApp*	inAppP,
								char*		inTitle,
								int			inOriginx,
								int 		inOriginy,
								int			inWidth,
								int			inHeight		)
								
				: SCAPIWindow(				inAppP,
											inTitle,
											inOriginx,
											inOriginy,
											inWidth,
											inHeight		)
{
	mMenuBarP = (MySCAPIMenuBar*) new MySCAPIMenuBar();
	AssociateMenuBar(mMenuBarP);
	
	mButtonP = (SCAPIButton*) new SCAPIButton(	this,
												1500,
												"Go",
												50,
												50,
												75,
												30		);
	//mButton->Disable();
												
	mDefaultButtonP = (SCAPIDefaultButton*) new SCAPIDefaultButton(	this,
																	1501,
																	"OK",
																	50,
																	100,
																	75,
																	30		);
	//mDefaultButton->Disable();
																	
	mCheckBoxP = (SCAPICheckBox*) new SCAPICheckBox(	this,
														1502,
														"Choice",
														200,
														50			);
													
	//mCheckBox->Disable();
	//mCheckBox->Check();
	
	mGroupBoxP = (SCAPIGroupBox*) new SCAPIGroupBox(	this,
														"Group Box",
														180,
														80,
														110,
														120				);
													
	//mGroupBox->Enable();
													
	mRadioP = (SCAPIRadioButton*) new SCAPIRadioButton(	this,
															1503,
															"Radio 1",
															200,
															100,
															65,
															SCAPIRadioButton_default_height,
															TRUE								);
	//mRadio1->Disable();
													
	mRadioP2 = (SCAPIRadioButton*) new SCAPIRadioButton(	this,
															1504,
															"Radio 2",
															200,
															130,
															65			);
														
	mRadioP3 = (SCAPIRadioButton*) new SCAPIRadioButton(	this,
															1505,
															"Radio 3",
															200,
															160,
															65			);
}

MySCAPIWindow::~MySCAPIWindow()
{
	delete mMenuBarP;
	delete mButtonP;
	delete mDefaultButtonP;
	delete mCheckBoxP;
	delete mRadioP;
	delete mRadioP2;
	delete mRadioP3;
}


// Member functions

void	MySCAPIWindow::ExecuteCommand(int	inCommand)
{
	
}

void	MySCAPIWindow::CommandStatus(	int		inCommand,
										bool	&outEnabled,
										int		&outMark,
										char*	outName		)
{
	switch (inCommand)
	{
		case 1010:
			outMark = SCAPI_dot_mark;
			break;
			
		case 1011:
			outEnabled = TRUE;
			break;
			
		case 1100:
			outMark = SCAPI_check_mark;
			break;
			
		case 1102:
			outEnabled = TRUE;
			break;
	}
}
