// ===========================================================================
//	SCAPICheckBox.h				  1997 Spunk Cross		 All rights reserved.
// ===========================================================================

#ifndef SCAPICHECKBOX_H
#define SCAPICHECKBOX_H

#include "SCAPICommonIncludes.h"
#include "SCAPIWindow.h"


// ---------------------------------------------------------------------------
//		 Defines
// ---------------------------------------------------------------------------

#define SCAPICheckBox_default_title 		"checkbox"
#define SCAPICheckBox_default_originx		0
#define SCAPICheckBox_default_originy		0
#define SCAPICheckBox_default_width			125
#define SCAPICheckBox_default_height		30


// ---------------------------------------------------------------------------
//		 SCAPIButton Class
// ---------------------------------------------------------------------------

class SCAPICheckBox : public LStdCheckBox
{

	// ===========================================================
	// === Spunk Cross API, these are the routines you can use ===
	// ===========================================================
	
		//  Constructor - Destructor
		// --------------------------
		
	public:
	
		SCAPICheckBox(	SCAPIWindow*	inWindowP,
						int				inCommand,
						char*			inTitle = SCAPICheckBox_default_title,
						int				inOriginx = SCAPICheckBox_default_originx,
						int 			inOriginy = SCAPICheckBox_default_originy,
						int				inWidth = SCAPICheckBox_default_width,
						int				inHeight = SCAPICheckBox_default_height		);
		
		~SCAPICheckBox();
		
		
		//  Member functions
		// ------------------
		
	public:
		
		void			Enable();
		void			Disable();
		void			Check();
		void			Uncheck();
		bool			IsChecked();
		
		
	// =================================
	// === Internal part, do not use ===
	// =================================
		
		//  Member functions
		// ------------------
		
	private:
	
		SPaneInfo		MakeSPaneInfo(	SCAPIWindow*	inWindowP,
										int				inOriginx,
										int				inOriginy,
										int				inWidth,
										int				inHeight	);
										
		unsigned char*		MakePascalString(	char*	inTitle );
										
		
		//  Member variables
		// ------------------
		
	private:
	
		SPaneInfo			mSPaneInfo;
		unsigned char		mStr255[256];
};

#endif