// ===========================================================================
//	SCAPIGroupBox.h				1997 Spunk Cross		 All rights reserved.
// ===========================================================================

#ifndef SCAPIGROUPBOX_H
#define SCAPIGROUPBOX_H

#include "SCAPICommonIncludes.h"
#include "SCAPIWindow.h"
#include <LGroupBox.h>


// ---------------------------------------------------------------------------
//		 Defines
// ---------------------------------------------------------------------------

#define SCAPIGroupBox_default_title 		"group box"
#define SCAPIGroupBox_default_originx		0
#define SCAPIGroupBox_default_originy		0
#define SCAPIGroupBox_default_width			200
#define SCAPIGroupBox_default_height		100


// ---------------------------------------------------------------------------
//		 GroupBox Class
// ---------------------------------------------------------------------------

class SCAPIGroupBox : public LGroupBox
{

	// ===========================================================
	// === Spunk Cross API, these are the routines you can use ===
	// ===========================================================
	
		//  Constructor - Destructor
		// --------------------------
		
	public:
	
		SCAPIGroupBox(	SCAPIWindow*	inWindowP,
						char*			inTitle = SCAPIGroupBox_default_title,
						int				inOriginx = SCAPIGroupBox_default_originx,
						int 			inOriginy = SCAPIGroupBox_default_originy,
						int				inWidth = SCAPIGroupBox_default_width,
						int				inHeight = SCAPIGroupBox_default_height		);
		
		~SCAPIGroupBox();
		
		
		//  Member functions
		// ------------------
		
	public:
		
		void			Enable();
		void			Disable();
		
		
	// =================================
	// === Internal part, do not use ===
	// =================================
		
		//  Member functions
		// ------------------
		
	private:
	
		SPaneInfo		MakeSPaneInfo(	SCAPIWindow*	inWindowP,
										int				inOriginx,
										int				inOriginy,
										int				inWidth,
										int				inHeight	);
										
		unsigned char*		MakePascalString(	char*	inTitle );
										
		
		//  Member variables
		// ------------------
		
	private:
	
		SPaneInfo			mSPaneInfo;
		unsigned char		mStr255[256];
};

#endif