// ===========================================================================
//	SCAPIList.h				  1997 Spunk Cross		 All rights reserved.
// ===========================================================================

#ifndef SCAPILIST_H
#define SCAPILIST_H

#include "SCAPICommonIncludes.h"
#include "SCAPIWindow.h"
#include "SCAPIListItem.h"


// ---------------------------------------------------------------------------
//		 Defines
// ---------------------------------------------------------------------------

#define SCAPIList_default_originx		0
#define SCAPIList_default_originy		0
#define SCAPIList_default_width			150
#define SCAPIList_default_height		200

#define	MAX_NUM_LISTITEMS				1000


// ---------------------------------------------------------------------------
//		 SCAPIList Class
// ---------------------------------------------------------------------------

class SCAPIList : public LListBox
{

	// ===========================================================
	// === Spunk Cross API, these are the routines you can use ===
	// ===========================================================
	
		//  Constructor - Destructor
		// --------------------------
		
	public:
	
		SCAPIList(	SCAPIWindow*	inWindowP,
					int				inOriginx = SCAPIList_default_originx,
					int 			inOriginy = SCAPIList_default_originy,
					int				inWidth = SCAPIList_default_width,
					int				inHeight = SCAPIList_default_height		);
		
		~SCAPIList();
		
		
		//  Member functions
		// ------------------
		
	public:
		
		void				Add(	SCAPIListItem*	inItemP,
									int				inPosition = -1	);
						
		SCAPIListItem*		Get(int	inPosition);
						
		void				Delete(int	inPosition);
		
		int					GetLength();
		
		bool				IsSelected(int	inPosition);
		
		void				Select(int	inPosition);
		
		void				Unselect(int	inPosition);
		
	
	// =================================
	// === Internal part, do not use ===
	// =================================
		
		//  Member functions
		// ------------------
		
	private:
	
		SPaneInfo		MakeSPaneInfo(	SCAPIWindow*	inWindowP,
										int				inOriginx,
										int				inOriginy,
										int				inWidth,
										int				inHeight	);
										
		int				CStringLength(char*	inCString);
										
		
		//  Member variables
		// ------------------
		
	private:
	
		SPaneInfo			mSPaneInfo;
		int					mLength;
		SCAPIListItem*		mItemList[MAX_NUM_LISTITEMS];
};

#endif