// ===========================================================================
//	SCAPIRadioButton.h			1997 Spunk Cross		 All rights reserved.
// ===========================================================================

#ifndef SCAPIRADIOBUTTON_H
#define SCAPIRADIOBUTTON_H

#include "SCAPICommonIncludes.h"
#include "SCAPIWindow.h"


// ---------------------------------------------------------------------------
//		Defines
// ---------------------------------------------------------------------------

#define SCAPIRadioButton_default_title 			"radio"
#define SCAPIRadioButton_default_originx		0
#define SCAPIRadioButton_default_originy		0
#define SCAPIRadioButton_default_width			125
#define SCAPIRadioButton_default_height			30


// ---------------------------------------------------------------------------
//		SCAPIRadioButton Class
// ---------------------------------------------------------------------------

class SCAPIRadioButton : public CButton
{

	// ===========================================================
	// === Spunk Cross API, these are the routines you can use ===
	// ===========================================================
	
		// Constructor - Destructor
		// ------------------------
		
	public:
	
		SCAPIRadioButton(	SCAPIWindow*	inWindowP,
							int				inCommand,
							char*			inTitle = SCAPIRadioButton_default_title,
							int				inOriginx = SCAPIRadioButton_default_originx,
							int 			inOriginy = SCAPIRadioButton_default_originy,
							int				inWidth = SCAPIRadioButton_default_width,
							int				inHeight = SCAPIRadioButton_default_height,
							bool			inBeginNewGroup = false							);
		
		~SCAPIRadioButton();
		
		
		// Member functions
		// ----------------
		
	public:
		
		void			Enable();
		void			Disable();
		void			Check();
		void			Uncheck();
		bool			IsChecked();
};

#endif