// ===========================================================================
//	SCAPITimer.h				1997 Spunk Cross		 All rights reserved.
// ===========================================================================

#ifndef SCAPITIMER_H
#define SCAPITIMER_H

#include "SCAPICommonIncludes.h"


// ---------------------------------------------------------------------------
//		Defines
// ---------------------------------------------------------------------------

#define	MAX_NUM_TIMERS				100


// ---------------------------------------------------------------------------
//		SCAPITimer Class
// ---------------------------------------------------------------------------

class SCAPITimer
{
	friend class MFCApp;

	// ===========================================================
	// === Spunk Cross API, these are the routines you can use ===
	// ===========================================================
	
		// Constructor - Destructor
		// ------------------------
		
	public:
	
		SCAPITimer(float	inInterval);
		
		~SCAPITimer();
		
		
		// Member functions
		// ----------------
		
	public:
	
		void	SetInterval(float	inInterval);
		
		
	protected:
	
		virtual void	Tick();
		
		
	// =================================
	// === Internal part, do not use ===
	// =================================
	
		// Member variables
		// ----------------
		
	private:
	
		float		mInterval;
		DWORD		mReferenceTickCount;
		
		
		// Static functions
		// ----------------
		
	private:
	
		static void		DevoteTime();
		
		
		// Static variables
		// ----------------
		
	private:
	
		static SCAPITimer*		sTimerList[MAX_NUM_TIMERS];
		static int				sTimerListLength;
};

#endif