// ===========================================================================
//	SCAPIWindow.h			   1997 Spunk Cross		 All rights reserved.
// ===========================================================================

#ifndef SCAPIWINDOW_H
#define SCAPIWINDOW_H

#include "SCAPICommonIncludes.h"
#include "SDI_MDI_Switch.h"
#include "SCAPIApp.h"
#include "SCAPIMenuBar.h"


// ---------------------------------------------------------------------------
//		Defines
// ---------------------------------------------------------------------------

#define SCAPIWindow_default_title 		"Spunk Cross"
#define SCAPIWindow_default_originx		0
#define SCAPIWindow_default_originy		0
#define SCAPIWindow_default_width		300
#define SCAPIWindow_default_height		200

#define SCAPIWindow_borders_width		13
#define SCAPIWindow_borders_height		32

#define SCAPI_no_mark					0
#define SCAPI_dot_mark					1
#define SCAPI_check_mark				2

// ---------------------------------------------------------------------------
//		SCAPIWindow Class
// ---------------------------------------------------------------------------

#ifndef MDI
	class SCAPIWindow : public CFrameWnd
#else
	class SCAPIWindow : public CMDIChildWnd
#endif
{
	friend class SCAPIButton;
	friend class SCAPICheckBox;
	friend class SCAPIDefaultButton;
	friend class SCAPITextField;
	friend class SCAPIGroupBox;
	friend class SCAPIList;
	friend class SCAPIRadioButton;
	friend class SCAPIStatic;
	friend class SCAPIDrawingArea;

	// ===========================================================
	// === Spunk Cross API, these are the routines you can use ===
	// ===========================================================
	
		// Constructor - Destructor
		// ------------------------
	
	public:
		
		SCAPIWindow(	SCAPIApp*	inAppP,
						char*		inTitle = SCAPIWindow_default_title,
						int			inOriginx = SCAPIWindow_default_originx,
						int 		inOriginy = SCAPIWindow_default_originy,
						int			inWidth = SCAPIWindow_default_width,
						int			inHeight = SCAPIWindow_default_height		);
						
		~SCAPIWindow();
		
		
		// Member functions
		// ----------------
		
	public:
		
		void				AssociateMenuBar(SCAPIMenuBar*	inMenuBarP);
		
		
	protected:
	
		virtual void		ExecuteCommand(int	inCommand);
		
		virtual void		CommandStatus(	int		inCommand,
											bool	&outEnabled,
											int		&outMark,
											char*	outName			);
											
		
	// =================================
	// === Internal part, do not use ===
	// =================================
		
		// Member functions
		// ----------------
			
	protected:
	
		afx_msg void 		MenuCommand(UINT	nID);
		afx_msg void 		MenuUpdate(CCmdUI*	pCmdUI);
		afx_msg void 		OnSetFocus(CWnd*	pOldWnd);
		afx_msg int			OnCreate(LPCREATESTRUCT);
		DECLARE_MESSAGE_MAP();
		
		
		// Member variables
		// ----------------
		
	private:
	
		SCAPIMenuBar*		mMenuBarP;
		SCAPIApp*			mAppP;
		CFont				mStandardFont;
		
		
		// Static variables
		// ----------------
		
	private:
	
		static int			sNumWindows;
};

#endif